#!/bin/bash
podman pod create \
	--name openeats \
	--network slirp4netns:port_handler=slirp4netns
podman run \
	--add-host mysql:192.168.1.1 \
	--conmon-pidfile /opt/run/openeats-web.pid \
	-d \
	--entrypoint='["yarn", "dev"]' \
	--env-file /opt/podman/env-openeats \
	--name openeats-web \
	--net slirp4netns:port_handler=slirp4netns \
	-p 10050:8080 \
	--pod openeats \
	-v /opt/src/openeats/web:/code \
	localhost/eliribble/openeats-web:latest
podman run \
	--add-host mysql:192.168.1.1 \
	--conmon-pidfile /opt/run/openeats-api.pid \
	-d \
	--env-file /opt/podman/env-openeats \
	--name openeats-api \
	--net slirp4netns:port_handler=slirp4netns \
	-p 10051:8000 \
	--pod openeats \
	--restart unless-stopped \
	-v /opt/src/openeats/api:/code \
	localhost/eliribble/openeats-api:latest
