#!/bin/bash
podman pod create \
	--name paperless \
	--network slirp4netne:port_handler=slirp4netns
podman run \
	--add-host postgresql:192.168.1.1 \
	--add-host redis:192.168.1.1 \
	--conmon-pidfile /opt/run/paperless-ngx.pid \
	-d \
	--env-file /opt/podman/env-paperless-ngx \
	--name paperless-ngx \
	--net slirp4netns:port_handler=slirp4netns \
	-p 10190:8000 \
	--pod paperless \
	--restart unless-stopped \
	-v paperless-data:/usr/src/paperless/data \
	-v paperless-media:/usr/src/paperless/media \
	-v /var/opt/paperless/consume:/usr/src/paperless/consume \
	-v /var/opt/paperless/export:/usr/src/paperless/export \
	paperlessngx/paperless-ngx:1.13
podman run \
	--conmon-pidfile /opt/run/paperless-gotenberg.pid \
	-d \
	--name paperless-gotenberg \
	--pod paperless \
	--restart unless-stopped \
	docker.io/gotenberg/gotenberg:7.8 \
	gotenberg --chromium-disable-javascript=true --chromium-allow-list=file:///tmp/.*
podman run \
	--conmon-pidfile /opt/run/paperless-tika.pid \
	-d \
	--name paperless-tika \
	--pod paperless \
	--restart unless-stopped \
	ghcr.io/paperless-ngx/tika:latest
